package ink.wgink.module.form.service.onlyoffice;

import com.alibaba.fastjson2.JSONObject;
import ink.wgink.module.form.pojo.vos.onlyoffice.OnlyOfficeSaveVO;

/**
 * @ClassName: IOnlyOfficeService
 * @Description: OnlyOffice
 * @Author: wanggeng
 * @Date: 2022/7/24 15:32
 * @Version: 1.0
 */
public interface IOnlyOfficeService {

    /**
     * 保存
     *
     * @param formCode         表单编码
     * @param formVersion      表单版本
     * @param uid              上报id
     * @param fileId           文件ID
     * @param onlyOfficeSaveVO 文档内容
     */
    void save(String formCode, Integer formVersion, String uid, String fileId, OnlyOfficeSaveVO onlyOfficeSaveVO);


    /**
     * 获取配置
     *
     * @param formCode
     * @param formVersion
     * @param uid
     * @param fileId
     * @return
     */
    JSONObject getConfig(String formCode, Integer formVersion, String uid, String fileId);


}
